Bug 427647 - implicit definition of strptime because of missing define
implicit definition of strptime because of missing define
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: cronolog (Show other bugs)
el5
All Linux
low Severity low
: ---
: ---
Assigned To: jafo-redhat
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-06 01:37 EST by Arenas Belon, Carlo Marcelo
Modified: 2017-04-06 06:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:28:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
define _GNU_SOURCE in cronoutils.c to satisfy glibc2 compatibility feature to define strptime (330 bytes, patch)
2008-01-06 01:37 EST, Arenas Belon, Carlo Marcelo
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 323425 None None None 2017-01-08 00:49 EST
Gentoo 204501 None None None 2017-01-08 00:48 EST

  None (edit)
Description Arenas Belon, Carlo Marcelo 2008-01-06 01:37:35 EST
Description of problem:
strptime is only defined if #define __USE_XOPEN as can be seen in <time.h>
as per the documentation, since glibc2 this function is only available if
_GNU_SOURCE or _XOPEN_SOURCE had been defined.

Version-Release number of selected component (if applicable):
All

How reproducible:
Always

Steps to Reproduce:
1. download source rpm
2. rebuild in a 64bit architecture (x86_64 or ppc)
3.
  
Actual results:
cronoutils.c: In function 'parse_time':
cronoutils.c:673: warning: cast to pointer from integer of different size

Expected results:
no messages

Additional info:
more details (linked to ia64) reported in debian in the linked bug (URL) as well
as in the following gentoo bug :

  http://bugs.gentoo.org/show_bug.cgi?id=204501
Comment 1 Arenas Belon, Carlo Marcelo 2008-01-06 01:37:36 EST
Created attachment 290901 [details]
define _GNU_SOURCE in cronoutils.c to satisfy glibc2 compatibility feature to define
strptime
Comment 2 Ken Dreyer 2017-01-08 00:48:56 EST
cronolog.org is no more.

You might want to submit these patches to the new GitHub upstream repo: https://github.com/fordmason/cronolog

FYI EPEL 5 is going EOL soon: https://lists.fedoraproject.org/archives/list/epel-devel@lists.fedoraproject.org/message/PFGUA4UNOCICASB6W7JLNBL7EJ6L4J2X/
Comment 3 Fedora End Of Life 2017-04-06 06:28:43 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.